Subject: Re: [PATCH v1 net 1/2] net: ethernet: ocelot: rename vcap_props to clearly be an ocelot member

From: Colin Foster <[email-masked]>
Date: Sat, 30 Apr 2022 10:36:15 -0700

Hi Jakub,

On Fri, Apr 29, 2022 at 07:07:52PM -0700, Jakub Kicinski wrote:
> On Fri, 29 Apr 2022 16:30:48 -0700 Colin Foster wrote:
> > The vcap_props structure is part of the ocelot driver. It is in the process
> > of being exported to a wider scope, so renaming it to match other structure
> > definitions in the include/soc/mscc/ocelot.h makes sense.
> > 
> > I'm splitting the rename operation into this separate commit, since it
> > should make the actual bug fix (next commit) easier to review.
> 
> Sure, but is it really necessary to do it now, or can we do it later 
> in net-next? There's only one struct vcap_props in the tree AFAICT.

I see your point. There wouldn't be a name collision, so the change
isn't absolutely necessary - just a nice convention. So I could have
patched the "bug" in net, then done the rename in net-next. I hadn't
considered this.

It seems like this patch set is bound for net-next in some way, shape,
or form, so it might be a non-issue.

Thanks for the feedback!